com.jgoodies.forms.builder

## Interface FormBuilder.FormBuildingView

- Enclosing class:
    FormBuilder

      public static interface FormBuilder.FormBuildingView

  Describes a view that can be integrated into an existing form using `FormBuilder.add(FormBuildingView)`. It is intended to reduce the effort for embedding subpanels that are aligned with an outer layout context.

  Note: This is an experimental interface that is not yet part of the public FormBuilder API. It may change without further notice.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildInto(FormBuilder builder)` Integrates this view into the form that is built by the given builder.

- - ### Method Detail

    - #### buildInto

          void buildInto(FormBuilder builder)

      Integrates this view into the form that is built by the given builder.
      Parameters:
        `builder` - provides the layout, grid, panel, etc.

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.